Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Protected Attributes | List of all members
eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\SortClauseConverter Class Reference

Converter manager for sort clauses. More...

## Public Member Functions
| __construct (array $handlers=[])
| Construct from an optional array of sort clause handlers. More...
| addHandler (SortClauseHandler $handler)
| Adds handler. More...
| applySelect (SelectQuery $query, array $sortClauses)
| Apply select parts of sort clauses to query. More...
| applyJoin (SelectQuery $query, array $sortClauses, array $languageSettings)
| Apply join parts of sort clauses to query. More...
| applyOrderBy (SelectQuery $query)
| Apply order by parts of sort clauses to query. More...

## Protected Attributes
| $handlers
| $sortColumns = []

## Detailed Description

Converter manager for sort clauses.

Definition at line 16 of file SortClauseConverter.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\SortClauseConverter::__construct | ( | array | $handlers = `[]` | ) |

Construct from an optional array of sort clause handlers.

Parameters

  \eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\SortClauseHandler[] | $handlers |

Definition at line 37 of file SortClauseConverter.php.

References eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\SortClauseConverter\$handlers.

## Member Function Documentation

## ◆ addHandler()

eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\SortClauseConverter::addHandler | ( | SortClauseHandler | $handler | ) |

Adds handler.

Parameters

  \eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\SortClauseHandler | $handler |

Definition at line 47 of file SortClauseConverter.php.

## ◆ applyJoin()

eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\SortClauseConverter::applyJoin | ( | SelectQuery | $query,
|  | array | $sortClauses,
|  | array | $languageSettings
| ) |  |

Apply join parts of sort clauses to query.

Exceptions

Definition at line 92 of file SortClauseConverter.php.

## ◆ applyOrderBy()

eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\SortClauseConverter::applyOrderBy | ( | SelectQuery | $query | ) |

Apply order by parts of sort clauses to query.

Parameters

  \eZ\Publish\Core\Persistence\Database\SelectQuery | $query |

Definition at line 111 of file SortClauseConverter.php.

References eZ\Publish\Core\Persistence\Database\SelectQuery\ASC, eZ\Publish\Core\Persistence\Database\SelectQuery\DESC, eZ\Publish\Core\Persistence\Database\SelectQuery\orderBy(), and eZ\Publish\API\Repository\Values\Content\Query\SORT_ASC.

## ◆ applySelect()

eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\SortClauseConverter::applySelect | ( | SelectQuery | $query,
|  | array | $sortClauses
| ) |  |

Apply select parts of sort clauses to query.

Exceptions

Definition at line 60 of file SortClauseConverter.php.

References eZ\Publish\Core\Persistence\Database\SelectQuery\ASC.

## Member Data Documentation

## ◆ $handlers

eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\SortClauseConverter::$handlers
| protected

Definition at line 23 of file SortClauseConverter.php.

Referenced by eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\SortClauseConverter\__construct().

## ◆ $sortColumns

eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\SortClauseConverter::$sortColumns = []
| protected

Definition at line 30 of file SortClauseConverter.php.

The documentation for this class was generated from the following file:

- SortClauseConverter.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.